Bug 150395 - New Port: math/giacxcas computer algebra system
New Port: math/giacxcas computer algebra system
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Max Brazhnikov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-09 00:00 UTC by han
Modified: 2010-10-09 23:30 UTC (History)
0 users

See Also:


Attachments
file.txt (18.88 KB, text/plain)
2010-09-09 00:00 UTC, han
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description han 2010-09-09 00:00:13 UTC
New port submission for giacxcas:

General purpose Computer algebra system by Bernard Parisse 
it consists of:
   - a C++ library (libgiac).  It is build on C and C++ libraries:
     PARI, NTL (arithmetic), CoCoA (Groebner basis), GSL (numerics),
     GMP (big integers), MPFR (bigfloats) and provides algorithms for
     basic polynomial operations (product, GCD) and symbolic
     computations (simplifications, limits/series, symbolic
     integration, sommation, ...). The library can be configured to
     accept Maple or TI syntax to ease the transition for users of
     these systems.  
   - a command line interpreter (icas or giac). It can be called from texmacs.
   - a FLTK-based GUI (xcas). It is a GUI for symbolic computation
     with several modules added: 2-d and 3-d graphics, dynamic 2-d and
     3-d geometry (exact or numeric), spreadsheet, programming
     environment.   
Bernard Parisse is the main author of the CAS of HP40G and HP49G calculators.
WWW: http://www-fourier.ujf-grenoble.fr/~parisse/giac.html

Fix: Patch attached with submission follows:
Comment 1 Max Brazhnikov freebsd_committer 2010-09-19 08:29:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

I'll take it.
Comment 2 Max Brazhnikov freebsd_committer 2010-09-19 12:36:43 UTC
State Changed
From-To: open->feedback

Does not fetch: http://people.freebsd.org/~makc/tb/giacxcas-0.9.0.log
Comment 3 dfilter freebsd_committer 2010-09-21 16:29:58 UTC
makc        2010-09-21 15:29:52 UTC

  FreeBSD ports repository

  Added files:
    math/giacxcas        Makefile distinfo pkg-descr pkg-plist 
  Log:
  Add new port math/giacxcas:
  
  General purpose Computer algebra system by Bernard Parisse released
  under GPLv3. The french documentation by Renee De Graeve is for non
  commercial use only.
  it consists of:
   - a C++ library (libgiac).  It is build on C and C++ libraries:
     PARI, NTL (arithmetic), CoCoA (Groebner basis), GSL (numerics),
     GMP (big integers), MPFR (bigfloats) and provides algorithms for
     basic polynomial operations (product, GCD) and symbolic
     computations (simplifications, limits/series, symbolic
     integration, sommation, ...). The library can be configured to
     accept Maple or TI syntax to ease the transition for users of
     these systems.
   - a command line interpreter (icas or giac). It can be called from texmacs.
   - a FLTK-based GUI (xcas). It is a GUI for symbolic computation
     with several modules added: 2-d and 3-d graphics, dynamic 2-d and
     3-d geometry (exact or numeric), spreadsheet, programming
     environment.
  
  WWW:    http://www-fourier.ujf-grenoble.fr/~parisse/giac.html
  
  PR:             ports/150395
  Submitted by:   Han Frederic <han at math.jussieu.fr>
  
  Revision  Changes    Path
  1.1       +60 -0     ports/math/giacxcas/Makefile (new)
  1.1       +9 -0      ports/math/giacxcas/distinfo (new)
  1.1       +24 -0     ports/math/giacxcas/pkg-descr (new)
  1.1       +2952 -0   ports/math/giacxcas/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Max Brazhnikov freebsd_committer 2010-09-21 16:31:51 UTC
State Changed
From-To: feedback->open

Feedback received.
Comment 5 Max Brazhnikov freebsd_committer 2010-09-21 16:32:03 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!
Comment 6 dfilter freebsd_committer 2010-10-09 23:26:06 UTC
makc        2010-10-09 22:26:00 UTC

  FreeBSD ports repository

  Modified files:
    math/giacxcas        Makefile distinfo pkg-plist 
  Log:
  - Add new mastersite and use original sources from author
  - Fix build on pointyhat
  - Fix runtime problem on amd64
  - Use @dirrmtry for common directories
  
  PR:             ports/150395
  Submitted by:   Han Frederic (maintainer)
  
  Revision  Changes    Path
  1.2       +14 -4     ports/math/giacxcas/Makefile
  1.2       +3 -3      ports/math/giacxcas/distinfo
  1.2       +2 -2      ports/math/giacxcas/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"